#include <QPainter>
#include "myitemdelegat.h"

MyItemDelegate::MyItemDelegate()
{
}


void MyItemDelegate::paint ( QPainter * painter, const QStyleOptionViewItem & option, const QModelIndex & index ) const
{
    if (index.column() == 0) {
        QString protocol=qvariant_cast<QString>(index.model()->data(index, Qt::EditRole));
        Icon protocol_icon( protocol.toLower(), IconInfo::Protocol);
        painter->drawPixmap ( option.rect.x()+7, option.rect.y()+5, protocol_icon.pixmap(20, QIcon::Normal , QIcon::On) );
        return;
    }

    //направление
    if (index.column() == 2) {
        int direction=qvariant_cast<int>(index.model()->data(index, Qt::EditRole));
        QString namei=":/to";
        if(direction==0) namei=":/from";
        QPixmap dirimg( namei, 0, Qt::AutoColor );
        painter->drawPixmap ( option.rect.x()+7, option.rect.y()+5, dirimg );
        return;
    }


    QStyledItemDelegate::paint(painter, option, index);
    return;
}
