#include <QtGui>

 #include "customsqlmodel.h"

 CustomSqlModel::CustomSqlModel(QObject *parent)
     : QSqlQueryModel(parent)
 {
 }

 QVariant CustomSqlModel::data(const QModelIndex &index, int role) const
 {
     QVariant value = QSqlQueryModel::data(index, role);

     if (value.isValid() && role == Qt::DisplayRole) {
         /*if (index.column() == 0)
         {
             return SystemsCity::IconManager()->getIconPath( value.toString().toLower(), IconInfo::Protocol);
             //return QString();//Icon( value.toString().toLower(), IconInfo::Protocol);
         }
         else*/ if (index.column() == 1)
         {
             if(value.toString().isNull())
             {
                 QSqlRecord recs=QSqlQueryModel::record(index.row());
               QVariant vartxt=recs.field("account").value();
               return vartxt.toString();
             }
         }
         else if (index.column() == 3)
         {
             if(value.toString().isNull())
             {
                 QSqlRecord recs=QSqlQueryModel::record(index.row());
               QVariant vartxt=recs.field("itemname").value();
               return vartxt.toString();
             }
         }
         else if (index.column() == 4)
         {
             QDateTime datetime = QDateTime::fromTime_t(value.toUInt());
             return datetime.toString("dd.MM.yyyy hh:mm:ss");
         }
     }

     if (role == Qt::TextColorRole )
     {
         if(index.column() == 4)
         return qVariantFromValue(QColor(Qt::darkCyan));
         else  if(index.column() == 1)
         {
             if(QSqlQueryModel::record(index.row()).field("direction").value().toInt()!=0)
                 return qVariantFromValue(QColor("#be9d04"));
             else
                  return qVariantFromValue(QColor(Qt::darkGreen));
         }
         else  if(index.column() == 3)
             if(QSqlQueryModel::record(index.row()).field("direction").value().toInt()==0)
                 return qVariantFromValue(QColor("#be9d04"));
             else
                  return qVariantFromValue(QColor(Qt::darkGreen));
     }

     return value;
 }
